# Enum Class IlluminaUtil.IlluminaAdapterPair

java.lang.Object
java.lang.Enum<IlluminaUtil.IlluminaAdapterPair>
picard.util.IlluminaUtil.IlluminaAdapterPair

All Implemented Interfaces:
  `Serializable, Comparable<IlluminaUtil.IlluminaAdapterPair>, Constable, AdapterPair`

Enclosing class:
  `IlluminaUtil`

public static enum IlluminaUtil.IlluminaAdapterPair extends Enum<IlluminaUtil.IlluminaAdapterPair> implements AdapterPair
Describes adapters used on each pair of strands

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ALTERNATIVE_SINGLE_END`
`DUAL_INDEXED`
`FLUIDIGM`
`INDEXED`
`NEXTERA_V1`
`NEXTERA_V2`
`PAIRED_END`
The following sequences can be found in https://support.illumina.com/content/dam/illumina-support/documents/documentation/chemistry_documentation/experiment-design/illumina-adapter-sequences_1000000002694-01.pdf and are protected by the following copyright notice: Oligonucleotide sequences (c) 2016 Illumina, Inc.
`SINGLE_END`
`TRUSEQ_SMALLRNA`

## Method Summary

Modifier and Type
Method
Description
`String`
`get3PrimeAdapter()`
`byte[]`
`get3PrimeAdapterBytes()`
`byte[]`
`get3PrimeAdapterBytesInReadOrder()`
`String`
`get3PrimeAdapterInReadOrder()`
`String`
`get5PrimeAdapter()`
`byte[]`
`get5PrimeAdapterBytes()`
`byte[]`
`get5PrimeAdapterBytesInReadOrder()`
`String`
`get5PrimeAdapterInReadOrder()`
`String`
`getName()`
`static IlluminaUtil.IlluminaAdapterPair`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static IlluminaUtil.IlluminaAdapterPair[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### PAIRED_END

public static final IlluminaUtil.IlluminaAdapterPair PAIRED_END
The following sequences can be found in https://support.illumina.com/content/dam/illumina-support/documents/documentation/chemistry_documentation/experiment-design/illumina-adapter-sequences_1000000002694-01.pdf and are protected by the following copyright notice: Oligonucleotide sequences (c) 2016 Illumina, Inc. All rights reserved. Derivative works created by Illumina customers are authorized for use with Illumina instruments and products only. All other uses are strictly prohibited.

### INDEXED

public static final IlluminaUtil.IlluminaAdapterPair INDEXED

### SINGLE_END

public static final IlluminaUtil.IlluminaAdapterPair SINGLE_END

### NEXTERA_V1

public static final IlluminaUtil.IlluminaAdapterPair NEXTERA_V1

### NEXTERA_V2

public static final IlluminaUtil.IlluminaAdapterPair NEXTERA_V2

### DUAL_INDEXED

public static final IlluminaUtil.IlluminaAdapterPair DUAL_INDEXED

### FLUIDIGM

public static final IlluminaUtil.IlluminaAdapterPair FLUIDIGM

### TRUSEQ_SMALLRNA

public static final IlluminaUtil.IlluminaAdapterPair TRUSEQ_SMALLRNA

### ALTERNATIVE_SINGLE_END

public static final IlluminaUtil.IlluminaAdapterPair ALTERNATIVE_SINGLE_END

## Method Details

### values

public static IlluminaUtil.IlluminaAdapterPair[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static IlluminaUtil.IlluminaAdapterPair valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### get3PrimeAdapter

public String get3PrimeAdapter()

Specified by:
  `get3PrimeAdapter` in interface `AdapterPair`

### get5PrimeAdapter

public String get5PrimeAdapter()

Specified by:
  `get5PrimeAdapter` in interface `AdapterPair`

### get3PrimeAdapterInReadOrder

public String get3PrimeAdapterInReadOrder()

Specified by:
  `get3PrimeAdapterInReadOrder` in interface `AdapterPair`

### get5PrimeAdapterInReadOrder

public String get5PrimeAdapterInReadOrder()

Specified by:
  `get5PrimeAdapterInReadOrder` in interface `AdapterPair`

### get3PrimeAdapterBytes

public byte[] get3PrimeAdapterBytes()

Specified by:
  `get3PrimeAdapterBytes` in interface `AdapterPair`

### get5PrimeAdapterBytes

public byte[] get5PrimeAdapterBytes()

Specified by:
  `get5PrimeAdapterBytes` in interface `AdapterPair`

### get3PrimeAdapterBytesInReadOrder

public byte[] get3PrimeAdapterBytesInReadOrder()

Specified by:
  `get3PrimeAdapterBytesInReadOrder` in interface `AdapterPair`

### get5PrimeAdapterBytesInReadOrder

public byte[] get5PrimeAdapterBytesInReadOrder()

Specified by:
  `get5PrimeAdapterBytesInReadOrder` in interface `AdapterPair`

### getName

public String getName()

Specified by:
  `getName` in interface `AdapterPair`